<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/AVSCommon/AVS/src -&gt; include Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.8.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>src &rarr; include Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in AVSCommon/AVS/src</th><th class="dirtab">Includes file in AVSCommon/AVS/include</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_abstract_a_v_s_connection_manager_8cpp.html">AbstractAVSConnectionManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_abstract_a_v_s_connection_manager_8h.html">AbstractAVSConnectionManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_198b64896bfde6c030483a7573c2d398.html">ExternalMediaPlayer</a>&#160;/&#160;<a class="el" href="_adapter_utils_8cpp.html">AdapterUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_7c0f72e3b40394b6419f2d29748370b1.html">ExternalMediaPlayer</a>&#160;/&#160;<a class="el" href="_adapter_utils_8h.html">AdapterUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_198b64896bfde6c030483a7573c2d398.html">ExternalMediaPlayer</a>&#160;/&#160;<a class="el" href="_adapter_utils_8cpp.html">AdapterUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_7c0f72e3b40394b6419f2d29748370b1.html">ExternalMediaPlayer</a>&#160;/&#160;<a class="el" href="_external_media_adapter_constants_8h.html">ExternalMediaAdapterConstants.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_alexa_client_s_d_k_init_8cpp.html">AlexaClientSDKInit.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_0cdc2576cbdff8bbeec8f5cd9892073c.html">Initialization</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8h.html">AlexaClientSDKInit.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_8cpp.html">Attachment.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_8h.html">Attachment.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8cpp.html">AttachmentManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8h.html">AttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8cpp.html">AttachmentManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_8h.html">InProcessAttachment.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_utils_8cpp.html">AttachmentUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_utils_8h.html">AttachmentUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_utils_8cpp.html">AttachmentUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_reader_8h.html">InProcessAttachmentReader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_a_v_s_directive_8cpp.html">AVSDirective.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_directive_8h.html">AVSDirective.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_a_v_s_message_8cpp.html">AVSMessage.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_message_8h.html">AVSMessage.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_a_v_s_message_header_8cpp.html">AVSMessageHeader.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_message_header_8h.html">AVSMessageHeader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_capability_agent_8cpp.html">CapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_capability_agent_8h.html">CapabilityAgent.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_capability_agent_8cpp.html">CapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_event_builder_8h.html">EventBuilder.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_capability_configuration_8cpp.html">CapabilityConfiguration.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_capability_configuration_8h.html">CapabilityConfiguration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_dialog_u_x_state_aggregator_8cpp.html">DialogUXStateAggregator.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_aggregator_8h.html">DialogUXStateAggregator.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_event_builder_8cpp.html">EventBuilder.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_event_builder_8h.html">EventBuilder.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_exception_encountered_sender_8cpp.html">ExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_event_builder_8h.html">EventBuilder.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_exception_encountered_sender_8cpp.html">ExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_8h.html">ExceptionEncounteredSender.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_exception_encountered_sender_8cpp.html">ExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_message_request_8h.html">MessageRequest.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_handler_and_policy_8cpp.html">HandlerAndPolicy.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_handler_and_policy_8h.html">HandlerAndPolicy.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_8cpp.html">InProcessAttachment.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_8h.html">InProcessAttachment.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_reader_8cpp.html">InProcessAttachmentReader.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_reader_8h.html">InProcessAttachmentReader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_writer_8cpp.html">InProcessAttachmentWriter.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_writer_8h.html">InProcessAttachmentWriter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_message_request_8cpp.html">MessageRequest.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_message_request_8h.html">MessageRequest.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_namespace_and_name_8cpp.html">NamespaceAndName.cpp</a></td><td class="dirtab"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_namespace_and_name_8h.html">NamespaceAndName.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.8.1 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
